> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pipecorn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all Lists

> Retrieve all your lists



## OpenAPI

````yaml GET /lists
openapi: 3.0.1
info:
  title: Pipecorn List API
  description: Pipecorn List API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.pipecorn.com/api/v2/
security:
  - defaultApiKey: []
paths:
  /lists:
    get:
      summary: Retrieve all lists
      description: Returns all lists from the system that the user has access to.
      responses:
        '200':
          description: A JSON array of list objects
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Lists'
components:
  schemas:
    Lists:
      type: object
      properties:
        lists:
          type: array
          items:
            $ref: '#/components/schemas/List'
    List:
      type: object
      properties:
        name:
          description: The name of the list
          type: string
          example: Tech Companies 2024
        id:
          description: The id of the list
          type: string
          format: uuid
          example: 8e1dcba0-f0bb-4071-99fc-f18ba6559ccc
        linkedin_list_id:
          description: The LinkedIn ID of the list
          type: integer
          format: int64
          example: 123456789
        created_at:
          description: The creation date of the list
          type: string
          format: date-time
          example: '2024-01-01T00:00:00Z'
        updated_at:
          description: The last modified date of the list
          type: string
          format: date-time
          example: '2024-01-02T00:00:00Z'
        status:
          description: The current status of the list import process
          type: string
          enum:
            - pending
            - completed
            - failed
          default: pending
          example: completed
  securitySchemes:
    defaultApiKey:
      type: apiKey
      in: header
      description: Your API key
      name: X-API-KEY

````